apiVersion: apps/v1
kind: Deployment
metadata:
  name: hyperkube-service-deployment
  labels:
    app: hyperkube-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hyperkube-service
  template:
    metadata:
      labels:
        app: hyperkube-service
    spec:
      imagePullSecrets:
          - name: gitlab-registry-secret
      serviceAccountName: hyperkube
      containers:
      - name: hyperkube-service
        image: registry.gitlab.com/cpelyon/5irc-minekloud/api/hyperkube-service:latest
        ports:
        - containerPort: 8080
        env:
        - name: APP_PORT
          value: "8080"
        - name: GLOBAL_PREFIX
          value: '/api/hyperkube'
        - name: SERVERS_SERVICE_ADDR
          value: 'http://servers-service:8080/api/servers'
        - name: RECONCILE_DELETE
          value: 'true'
        - name: LOAD_FROM_CLUSTER
          value: 'true'
        resources:
          requests:
            cpu: 50m
            memory: 50M
          limits:
            cpu: 250m
            memory: 1G
